| Version: 3.2.5

Public Attributes | List of all members
wxLogRecordInfo Class Reference

`#include <wx/log.h>`

## Detailed Description

Information about a log record (unit of the log output).

## Public Attributes

const char * | filename
| The name of the file where this log message was generated. More...
int | line
| The line number at which this log message was generated. More...
const char * | func
| The name of the function where the log record was generated. More...
wxLongLong_t | timestampMS
| Time in milliseconds since Epoch when the log message was generated. More...
time_t | timestamp
| Time when the log message was generated. More...
wxThreadIdType | threadId
| Id of the thread in which the message was generated. More...

## Member Data Documentation

## ◆ filename

const char* wxLogRecordInfo::filename

The name of the file where this log message was generated.

## ◆ func

const char* wxLogRecordInfo::func

The name of the function where the log record was generated.

This field may be NULL if the compiler doesn't support `__FUNCTION__` (but most modern compilers do).

## ◆ line

int wxLogRecordInfo::line

The line number at which this log message was generated.

## ◆ threadId

wxThreadIdType wxLogRecordInfo::threadId

Id of the thread in which the message was generated.

This field is only available if wxWidgets was built with threads support (`wxUSE_THREADS == 1`).

See also
  wxThread::GetCurrentId()

## ◆ timestamp

time_t wxLogRecordInfo::timestamp

Time when the log message was generated.

Deprecated:
  Please use timestampMS instead.

## ◆ timestampMS

wxLongLong_t wxLogRecordInfo::timestampMS

Time in milliseconds since Epoch when the log message was generated.

Since
  3.1.5